Bug 1939661

Summary: support new AWS region ap-northeast-3
Product: OpenShift Container Platform Reporter: Micah Abbott <miabbott>
Component: InstallerAssignee: Micah Abbott <miabbott>
Installer sub component: openshift-installer QA Contact: Yunfei Jiang <yunjiang>
Status: CLOSED ERRATA Docs Contact:
Severity: low    
Priority: low CC: bbreard, imcleod, jligon, miabbott, mstaeble, nstielau
Version: 4.8   
Target Milestone: ---   
Target Release: 4.8.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Feature: OCP installs in ap-northeast-3 (Osaka) region of AWS are now supported Reason: Customers requested support for the new ap-northeast-3 AWS region Result: Customers are now able to install OCP into the ap-northeast-3 region of AWS
Story Points: ---
Clone Of:
: 1942706 (view as bug list) Environment:
Last Closed: 2021-07-27 22:53:48 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1934557, 1942706    

Description Micah Abbott 2021-03-16 18:52:19 UTC
There is an RFE to support the new AWS region in Osaka, ap-northeast-3

https://issues.redhat.com/browse/RFE-1078

The CoreOS team is adding publication of the AMIs to our build pipelines; this BZ can be used to update the boot images + region handling in the Installer

Feel free to assign to me to handle the Installer change.

Comment 1 Micah Abbott 2021-03-22 15:47:26 UTC
@Matthew I'm setting this back to the Installer component, so that the Installer QE team can test this new region

I'll make the PR to the installer for the change.

Comment 2 Micah Abbott 2021-03-24 16:53:16 UTC
Linked PR is merged; moving to MODIFIED

Comment 4 Yunfei Jiang 2021-03-31 00:54:31 UTC
verified. FAILED.
OCP version: 4.8.0-0.nightly-2021-03-26-054333


looks like ap-northeast-3 can not be handled by installer correctly:

time="2021-03-30T05:20:47-04:00" level=fatal msg="failed to fetch Metadata: failed to load asset \"Install Config\": [platform.aws.amiID: Required value: AMI must be provided, platform.aws.serviceEndpoints: Invalid value: []aws.ServiceEndpoint(nil): [failed to find endpoint for service \"ec2\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"ec2\", region: \"ap-northeast-3\", failed to find endpoint for service \"elasticloadbalancing\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"elasticloadbalancing\", region: \"ap-northeast-3\", failed to find endpoint for service \"iam\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"iam\", region: \"ap-northeast-3\", failed to find endpoint for service \"route53\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"route53\", region: \"ap-northeast-3\", failed to find endpoint for service \"s3\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"s3\", region: \"ap-northeast-3\", failed to find endpoint for service \"sts\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"sts\", region: \"ap-northeast-3\", failed to find endpoint for service \"tagging\": UnknownEndpointError: could not resolve endpoint\n\tpartition: \"all partitions\", service: \"tagging\", region: \"ap-northeast-3\"]]"

Comment 5 Micah Abbott 2021-03-31 13:45:58 UTC
The failure may be addressed with https://github.com/openshift/installer/pull/4801

Comment 6 Matthew Staebler 2021-06-07 13:14:35 UTC
This BZ just addresses RHCOS support for the region. The in-cluster operators that failed when using the new region have been fixed in separate BZs. If there are other operators that fail, we should create additional BZs for those.

Comment 7 Yunfei Jiang 2021-06-08 08:12:43 UTC
verified. PASS.
OCP version: 4.8.0-0.nightly-2021-06-08-005718

Comment 10 errata-xmlrpc 2021-07-27 22:53:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438